_TIFFREWRITEFIELD(3tiff)

NAME
_TIFFRewriteField - rewrite a field in the directory on disk

SYNOPSIS

        #include <tiffio.h>

    int _TIFFRewriteField(TIFF *tif, uint16_t tag, TIFFDataType in_datatype, tmsize_t count, void *data)

DESCRIPTION

_TIFFRewriteField() Rewrite a field in the directory on disk without regard to updating the TIFF directory structure in memory. Currently only supported for field that already exist in the on-disk directory. Mainly used for updating stripoffset / stripbytecount values after the directory is already on disk.

RETURN VALUES

Returns zero on failure, and one on success.

SEE ALSO

libtiff (3tiff)

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2022, LibTIFF contributors